Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.internal
Class ArrayListWrapper

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<Object>
              org.apache.commons.jexl2.internal.ArrayListWrapper

All Implemented Interfaces:
  Iterable<Object>, Collection<Object>, List<Object>

    public class ArrayListWrapper

extends AbstractList<Object>

A class that wraps an array within an AbstractList.

It overrides all methods because introspection uses this class a a marker for wrapped arrays; the declared class for any method is thus always ArrayListWrapper.

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ArrayListWrapper(Object anArray)` Create the wrapper.

Method Summary
`void` | `add(int index, Object element)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection<? extends Object> c)`
`boolean` | `addAll(int index, Collection<? extends Object> c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`Object` | `get(int index)`
`int` | `indexOf(Object o)`
`boolean` | `isEmpty()`
`Iterator<Object>` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator<Object>` | `listIterator()`
`ListIterator<Object>` | `listIterator(int index)`
`Object` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`Object` | `set(int index, Object element)`
`int` | `size()`
`List<Object>` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`

Methods inherited from class java.util.AbstractList
`equals, hashCode, removeRange`

Methods inherited from class java.util.AbstractCollection
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayListWrapper

    public ArrayListWrapper(Object anArray)

  Create the wrapper.

  Parameters:
    `anArray` - `array`

Method Detail

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List<Object>`
  Specified by:
    `get` in class `AbstractList<Object>`

### set

    public Object set(int index,
                      Object element)

  Specified by:
    `set` in interface `List<Object>`
  Overrides:
    `set` in class `AbstractList<Object>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<Object>`
  Specified by:
    `size` in interface `List<Object>`
  Specified by:
    `size` in class `AbstractCollection<Object>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<Object>`
  Specified by:
    `toArray` in interface `List<Object>`
  Overrides:
    `toArray` in class `AbstractCollection<Object>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<Object>`
  Specified by:
    `toArray` in interface `List<Object>`
  Overrides:
    `toArray` in class `AbstractCollection<Object>`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List<Object>`
  Overrides:
    `indexOf` in class `AbstractList<Object>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<Object>`
  Specified by:
    `contains` in interface `List<Object>`
  Overrides:
    `contains` in class `AbstractCollection<Object>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<Object>`
  Specified by:
    `isEmpty` in interface `List<Object>`
  Overrides:
    `isEmpty` in class `AbstractCollection<Object>`

### iterator

    public Iterator<Object> iterator()

  Specified by:
    `iterator` in interface `Iterable<Object>`
  Specified by:
    `iterator` in interface `Collection<Object>`
  Specified by:
    `iterator` in interface `List<Object>`
  Overrides:
    `iterator` in class `AbstractList<Object>`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<Object>`
  Specified by:
    `containsAll` in interface `List<Object>`
  Overrides:
    `containsAll` in class `AbstractCollection<Object>`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List<Object>`
  Overrides:
    `lastIndexOf` in class `AbstractList<Object>`

### listIterator

    public ListIterator<Object> listIterator()

  Specified by:
    `listIterator` in interface `List<Object>`
  Overrides:
    `listIterator` in class `AbstractList<Object>`

### listIterator

    public ListIterator<Object> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<Object>`
  Overrides:
    `listIterator` in class `AbstractList<Object>`

### subList

    public List<Object> subList(int fromIndex,
                                int toIndex)

  Specified by:
    `subList` in interface `List<Object>`
  Overrides:
    `subList` in class `AbstractList<Object>`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection<Object>`
  Specified by:
    `add` in interface `List<Object>`
  Overrides:
    `add` in class `AbstractList<Object>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<Object>`
  Specified by:
    `remove` in interface `List<Object>`
  Overrides:
    `remove` in class `AbstractCollection<Object>`

### addAll

    public boolean addAll(Collection<? extends Object> c)

  Specified by:
    `addAll` in interface `Collection<Object>`
  Specified by:
    `addAll` in interface `List<Object>`
  Overrides:
    `addAll` in class `AbstractCollection<Object>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends Object> c)

  Specified by:
    `addAll` in interface `List<Object>`
  Overrides:
    `addAll` in class `AbstractList<Object>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<Object>`
  Specified by:
    `removeAll` in interface `List<Object>`
  Overrides:
    `removeAll` in class `AbstractCollection<Object>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<Object>`
  Specified by:
    `retainAll` in interface `List<Object>`
  Overrides:
    `retainAll` in class `AbstractCollection<Object>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<Object>`
  Specified by:
    `clear` in interface `List<Object>`
  Overrides:
    `clear` in class `AbstractList<Object>`

### add

    public void add(int index,
                    Object element)

  Specified by:
    `add` in interface `List<Object>`
  Overrides:
    `add` in class `AbstractList<Object>`

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List<Object>`
  Overrides:
    `remove` in class `AbstractList<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.